<?php
namespace App\Models\Users;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\DB;

class CustomersModel extends Model
{
    protected $table = 'phppos_customers';
    protected $primaryKey = 'id';
    public $timestamps = false;
    
    public function login_details(){
        return $this->belongsTo(UsersModel::class,'person_id','person_id');
    }

    public function customer_addresses(){
        return $this->hasMany(CustomersAddressModel::class,'customer_id','id');
    }
}
